apiVersion: v1
kind: Service
metadata:
  name: {{ .Values.feSvc.label }}
  namespace: {{ .Values.feSvc.namespace }}
  labels:
    app.kubernetes.io/name: {{ include "starhopper-analytics.name" . }}
    helm.sh/chart: {{ include "starhopper-analytics.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  ports:
  - port: {{ .Values.feSvc.port }}
    protocol: {{ .Values.feSvc.protocol }}
    targetPort: {{ .Values.feSvc.targetPort }}
  selector:
    app.kubernetes.io/name: {{ include "starhopper-analytics.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    run: {{ .Values.feSvc.label }}
  type: {{ .Values.feSvc.type }}